Pre-approvals

Create pre-approval

POST/ecommerce/application/pre-approval/send

Starts a pre-approval without a cart. PayTomorrow texts and emails the customer a link to apply unless suppressNotification is true, in which case you deliver url yourself.

When the customer is approved, PayTomorrow sends a pre-approval postback. Once you know what they are buying, attach the cart with Update cart and send.

Authorization

bearerAuth
AuthorizationBearer <token>

Access token from Get an access token.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/ecommerce/application/pre-approval/send" \  -H "Authorization: Bearer <ACCESS_TOKEN>" \  -H "Content-Type: application/json" \  -d '{    "firstName": "Jordan",    "lastName": "Rivera",    "email": "jordan.rivera@example.com",    "cellPhone": "7045550123"  }'
{  "url": "https://api-staging.paytomorrow.com/api/app/consumer/verify/03b951ef0bff4bcba931f942e35af47b",  "token": "03b951ef0bff4bcba931f942e35af47b"}